{% extends 'base.html.twig' %}

{% block title %}Rejestracja Danych Klienta{% endblock %}

{% block body %}
    <body class="bg-gradient-primary">
    <div class="container">
        <div class="card o-hidden border-0 shadow-lg my-5">
            <div class="card-body p-0">
                <div class="row">
                    <div class="col-lg-5 d-none d-lg-block bg-register-image"></div>
                    <div class="col-lg-7">
                        <div class="p-5">
                            <div class="text-center">
                                <a href="{{ path('home_index') }}">
                                    <img src="{{ asset('build/images/RMA-logo.png') }}" alt="Logo" height="150" title="Strona główna"></a>
                                <h1 class="auth-title">Twoje dane biznesowe</h1>
                            </div>
                            {{ form_start(form, {'method': 'post', 'action': path('customer_data_registration') })}}
                            <form class="user">
                                <div class="form-group">
                                    {{ form_widget(form.tax_number, {'attr': {'placeholder': 'Numer NIP'} }) }}
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.companyName, {'value' : userCompany}) }}
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.customerCategory, {'attr': {'placeholder': 'Kategoria biznesu'} }) }}
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.streetName, {'attr': {'placeholder': 'Nazwa ulicy'} }) }}
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        {{ form_widget(form.houseNumber, {'attr': {'placeholder': 'Numer domu'} }) }}
                                    </div>
                                    <div class="col-sm-6">
                                        {{ form_widget(form.apartmentNumber, {'attr': {'placeholder': 'Numer lokalu'} }) }}
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        {{ form_widget(form.postCode) }}
                                    </div>
                                    <div class="col-sm-6">
                                        {{ form_widget(form.city, {'attr': {'placeholder': 'Miasto'} }) }}
                                    </div>
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.alternativeEmail, {'attr': {'placeholder': 'email@kontaktowy'} }) }}
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.mobileNumber, {'attr': {'placeholder': 'Telefon'} }) }}
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.additionalInfo, {'attr': {'placeholder': 'Dodatkowe informacje'} }) }}
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.agreeTerms) }}
                                </div>
                                <input type="submit" class="submit-btn btn btn-primary btn-block"
                                       value="Kontynuuj"/>
                                {{ form_end(form) }}
                            </form>
                            <hr>
                            <h6 class="font-weight-bold text-gray-800">Symbol gwiazdki * oznacza pole wymagane.</h6>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </body>
{% endblock %}